///////////////////////////////////////////////////////////
//                     GGBuildTools                      //
//         Gipat Group       //
//             Copyright (C) 2007 Gipat Group            //
//                             //
//    Gipat Group's opened EI-editor-utility license     //
//                       1.0                       //
//                                                       //
//                  www.gipatgroup.org                   //
///////////////////////////////////////////////////////////

//      , ....  :
// 1) Sagrer (sagrer@yandex.ru)

////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////
//           GG         //
//////////////////////////////////////////////////////////

unit GGConsUtilServiceClass;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, forms, Registry, ConsUtilServiceClass, GGBuildToolsShared,
  VerInfoTxtFormat, GGBuildTools_ver;
  
type
  TGGConsUtilServiceClass = class (TConsUtilServiceClass)       //   ""   GG
  private
  protected
  public
    //
    GGConsAppName : AnsiString;      //      .
    AppVersion : TVerInfoTxtFormat;
    
    //-...
    constructor Create; override;
    destructor Destroy; override;

    // ...
    procedure ShowVersion;        override;     // .

  end;

implementation

/////////////////////////////////////////////
//         TGGConsUtilServiceClass         //
/////////////////////////////////////////////

//-----------------------------------------//
//        -...      //
//-----------------------------------------//

constructor TGGConsUtilServiceClass.Create;
begin
  //  ...

  //   ...
  AppVersion := TVerInfoTxtFormat.Create;
  
  // .
  AppVersion.Clear();
  AppVersion.Ver1 := GGBuildTools_Ver1;
  AppVersion.Ver2 := GGBuildTools_Ver2;
  AppVersion.Ver3 := GGBuildTools_Ver3;
  AppVersion.Ver4 := GGBuildTools_Ver4;
  AppVersion.Status := GGBuildTools_Status;
  AppVersion.RCNum := GGBuildTools_RCNum;
  
  //  ...
  inherited;
end;

destructor TGGConsUtilServiceClass.Destroy;
begin
  // 
  AppVersion.Free;

  //  
  inherited;
end;

//------------------------------------------//
//              ...             //
//------------------------------------------//

procedure TGGConsUtilServiceClass.ShowVersion;
// .
begin
  // %).
  Writeln(AllProjectName+' v '+AppVersion.GenerateShortVersionString_nosvn()+' '+GGConsAppName+' utility.');
  Writeln(CopyrightString);
end;

end.

